Update a Robot Toolset
Update a member-authored Toolset.
Update a member-authored Toolset.
storyden-session<token>toolset_id*stringRobot Toolset ID
application/json- body
name?stringdescription?stringinstruction?stringtools?array<string>A list of raw tool names contained by a Toolset.
meta?Arbitrary metadata for the resource.
Robot Toolset retrieved.
application/json- response
id*stringname*stringdescription*stringinstruction*stringSpecialist instructions injected whenever the Toolset is active.
tools*array<string>A list of raw tool names contained by a Toolset.
source*RobotToolsetSource"system""custom""plugin""mcp"source_ref?stringOptional provider-specific source identifier.
editable*booleanusage_count*integer0 <= valuerequires_workspace*booleanWhether this Toolset is only available to Robot sessions with an active workspace.
author?A minimal reference to an account.
meta?Arbitrary metadata for the resource.
curl -X PATCH 'https://example.com/api/robots/toolsets/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "name": "string", "description": "string", "instruction": "string", "tools": [ "string" ], "source": "system", "source_ref": "string", "editable": true, "usage_count": 0, "requires_workspace": true, "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "meta": {}}List Robot Toolsets GET
List reusable Toolsets available to Robots. Toolsets group tools with optional instructions and may be provided by Storyden, members, or plugins, or connected MCP servers.
List robot tools GET
List all tools that may be assigned to Robots, including native Storyden tools and discovered MCP tools.